## zaqar-ui 19.0.0~rc1

=== debian/changelog ===
zaqar-ui (19.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 10:22:54 +0000

zaqar-ui (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:55:54 +0200

zaqar-ui (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 13 Sep 2025 01:24:10 +0200

zaqar-ui (18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:25:40 +0200

zaqar-ui (18.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 22:07:04 +0100

zaqar-ui (18.0.0~rc1-2) experimental; urgency=medium

  * Fix version of openstack-pkg-tools to allow 133~ backport.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 17:22:03 +0100

zaqar-ui (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Mar 2025 17:05:26 +0100

## zaqar-ui 19.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
horizon>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
zaqar-ui (19.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 08:32:56 -0700

zaqar-ui (19.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 14:15:30 -0700

=== debian/control ===
Source: zaqar-ui
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django,
 python3-django-babel (>= 0.6.2),
 python3-django-horizon (>= 4:17.1.0),
 python3-django-nose (>= 1.4.4),
 python3-hacking,
 python3-openstackdocstheme (>= 2.2.1),
 python3-reno,
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-testtools (>= 2.2.0),
 python3-zaqarclient (>= 1.0.0),
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/openstack-team/services/zaqar-ui.git
Homepage: https://opendev.org/openstack/zaqar-ui

Package: python3-zaqar-ui
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django,
 python3-django-babel (>= 0.6.2),
 python3-django-horizon (>= 4:17.1.0),
 python3-pbr (>= 2.0.0),
 python3-zaqarclient (>= 1.0.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-zaqar-ui,
Replaces:
 python-zaqar-ui,
Description: OpenStack Queueing as a Service - Dashboard plugin
 Zaqar is a multi-tenant cloud messaging service for web developers. It
 combines the ideas pioneered by Amazon's SQS product with additional semantics
 to support event broadcasting.
 .
 The service features a fully RESTful API, which developers can use to send
 messages between various components of their SaaS and mobile applications, by
 using a variety of communication patterns. Underlying this API is an efficient
 messaging engine designed with scalability and security in mind.
 .
 Other OpenStack components can integrate with Zaqar to surface events to end
 users and to communicate with guest agents that run in the "over-cloud" layer.
 Cloud operators can leverage Zaqar to provide equivalents of SQS and SNS to
 their customers.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=zaqar_ui

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/+git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

	# Activates in the dashboard
	mkdir -p $(CURDIR)/debian/python3-zaqar-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/zaqar_ui/enabled/_[0-9]* $(CURDIR)/debian/python3-zaqar-ui/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for i in $(PYTHON3S) ; do \
		PYTHONPATH=$(CURDIR)/debian/python3-zaqar-ui/usr/lib/python3/dist-packages \
			NOSE_WITH_OPENSTACK=1 \
			NOSE_OPENSTACK_COLOR=1 \
			NOSE_OPENSTACK_RED=0.05 \
			NOSE_OPENSTACK_YELLOW=0.025 \
			NOSE_OPENSTACK_SHOW_ELAPSED=1 \
			PYTHON=python$$i \
			python$$i $(CURDIR)/manage.py test zaqar_ui --settings=zaqar_ui.test.settings ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/zaqar-ui/ zaqar_ui-(\d{1,2}\.\d.*)\.tar\.gz

## zaqar-ui 19.0.0+git20260108.4.1f50d77

=== debian/changelog ===
zaqar-ui (19.0.0+git20260108.4.1f50d77-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 19.0.0+git20260108.4.1f50d77
  * d/rules: enable sphinxdoc to build documentation
  * New upstream snapshot from 1f50d772e7532959a2f04458d69520347f0c26d9
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 16:22:39 -0800

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/zaqar-ui/ zaqar_ui-(\d{1,2}\.\d.*)\.tar\.gz
